From 09ed99d2218aa09cb79470b21d314318d77135a8 Mon Sep 17 00:00:00 2001
From: William Jon McCann <jmccann@redhat.com>
Date: Tue, 15 May 2012 11:19:08 -0400
Subject: [PATCH] Use XDG Dirs instead of HOME by default

---
 sdk/env.py |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/sdk/env.py b/sdk/env.py
index 126af78..0e78597 100644
--- a/sdk/env.py
+++ b/sdk/env.py
@@ -36,8 +36,10 @@ class PackagingEnvironment(object):
 
 	def init_normal_dirs(self, script_dir):
 		if (self.target_os == 'linux'):
+                        _data_dir = os.environ.get('XDG_DATA_HOME', p.join(p.expanduser("~"), '.local/share'))
 			self.install_dirs = [
-				p.expanduser('~/.titanium'),
+				p.join(_data_dir, 'titanium'),
+                                p.expanduser('~/.titanium'),
 				"/opt/titanium",
 				"/usr/local/lib/titanium",
 				"/usr/lib/titanium"
-- 
1.7.10.1

